Bug 5751 - Installer: copying files (rsync) failed with code 23
: Installer: copying files (rsync) failed with code 23
Status: CONFIRMED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-10 21:47 MSD by Andrey Ponomarenko
Modified: 2016-08-11 12:53 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
Error message (113.49 KB, image/jpeg)
2015-06-10 21:48 MSD, Andrey Ponomarenko
Details
/tmp/files_copy_error.log (679 bytes, text/plain)
2015-06-19 01:35 MSD, Andrey Ponomarenko
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Ponomarenko 2015-06-10 21:47:47 MSD
Description of problem:

I try to install ROSA Fresh R5 64-bit (11474) in dual boot with Nickel 2.0 DX32. The installation finished with error message:

"Copying files (rsync) failed with code 23"


Version-Release number of selected component (if applicable): R5 KDE


How reproducible: cannot reproduce


Steps to Reproduce:
1. Install ROSA R5 64-bit after Nickel 2.0 DX32
2.
3.
Comment 1 Andrey Ponomarenko 2015-06-10 21:48:50 MSD
Created attachment 4091 [details]
Error message
Comment 2 Andrey Ponomarenko 2015-06-10 21:56:07 MSD
HW probe of the computer: http://hw.rosalinux.ru/index.php?probe=2f4fa98b2a
Comment 3 Konstantin Vlasov 2015-06-10 22:07:34 MSD
Are you sure this message came from Fresh? It was a known problem for Nickel DX32, and it's fixed in the iso 11528 and later. But Fresh should not be affected by it, it occurs only with SELinux turned on.
Comment 4 Andrey Ponomarenko 2015-06-10 22:10:53 MSD
Yes, I'm sure. But I cannot reproduce the bug anymore.
Comment 5 Konstantin Vlasov 2015-06-10 22:19:35 MSD
If you reproduce this problem again in Fresh or in Nickel>=11528, please, copy here the contents of the file /tmp/files_copy_error.log after the error occurred.

At the moment I have absolutely no idea how it could happen. Rsync error 23 means "Partial transfer due to error", but the only situations we've got this error were: 1) impossibility to transfer selinux attributes for /boot/efi contents (because it's FAT-formatted), and 2) after we fixed the first problem by adding separate /boot/efi copying (without attributes), DX32 started to fail because it does not contain this directory, and this was fixed in 11528.
Comment 6 Andrey Ponomarenko 2015-06-19 01:34:31 MSD
The error reproduced two times in a row again.

HW probe (immediately after the error occurred): http://hw.rosalinux.ru/index.php?probe=c7b116f5ed
Comment 7 Andrey Ponomarenko 2015-06-19 01:35:53 MSD
Created attachment 4125 [details]
/tmp/files_copy_error.log
Comment 8 Konstantin Vlasov 2015-06-19 03:05:46 MSD
Your journalctl contains a bunch of the following errors:

> Jun 19 00:19:43 localhost kernel: SQUASHFS error: xz decompression failed, data probably corrupt
> Jun 19 00:19:43 localhost kernel: SQUASHFS error: squashfs_read_data failed to read block 0x5da30118

It looks to me like either you USB flash is failing, or the ISO image was written incorrectly.

Please, boot into a working installed system and try the following:
1) dd if=/dev/sdc of=usb-disk.img bs=1M count=...
where /dev/sdc is your flash disk you used for installing, and "..." is length of the source image in binary megabytes (for example, if the iso size is 1956642816 bytes, you should enter count=1866).
2) Look for the output of dd, whether it tells anything about read errors.
3) If no errors occurred, just in case, check that the image file size is byte-to-byte identical to that of the iso image.
4) Compare the image and iso file by contents:
diff -s usb-disk.img ROSA.FRESH.<...>.iso
Comment 9 Rolf Pedersen 2016-08-07 22:48:38 MSD
I cannot install R8 as it fails with the same error.

[rolf@p8z68 2016.1]$ md5sum -c ROSA.FRESH.KDE.R8.x86_64.iso.md5sum 
ROSA.FRESH.KDE.R8.x86_64.iso: OK

First, I copied the iso to a brand new 16GB sdhc card in a usb reader with RosaImageWriter binary I have downloaded to Mageia 5 about one year ago.

I booted this on my new Skylake i5-6500, Asus Z170I PRO GAMING mobo, which has been challenging wrt kernel support of i915 hardware.  In live mode, it ran very nicely but the desktop froze after a while when I was trying an ambitious installation of more software.

Booting installation mode proceeded to the copying stage, which worked for significant time, then failed, "Copying files (rsync) failed with code 23"

I found this bug searching on the error and followed the instruction:

sudo dd if=/dev/sdb of=usb-disk.img bs=1M count=1945

[rolf@p8z68 2016.1]$ diff -s usb-disk.img ROSA.FRESH.KDE.R8.x86_64.iso
Binary files usb-disk.img and ROSA.FRESH.KDE.R8.x86_64.iso differ

Also, I used writecd by Volker Kuhlmann <VolkerKuhlmann@gmx.de>, which I use to verify optical media burns, ordinarily:

[rolf@p8z68 2016.1]$ writecd -cmp usb-disk.img ROSA.FRESH.KDE.R8.x86_64.iso
Logging to writecd.cmp.log
Sun 07 Aug 2016 16:08:56 UTC
Sun 07 Aug 2016 09:08:56 PDT
Linux p8z68 4.4.16-desktop-1.mga5 #1 SMP Tue Jul 26 09:23:40 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
 09:08:56 up  2:06,  5 users,  load average: 0.13, 0.13, 0.09
writecd version 4.1.5, 10 Feb 2008
Copyright (C) by Volker Kuhlmann <VolkerKuhlmann@gmx.de>
Comparing CD 'usb-disk.img' with isofile 'ROSA.FRESH.KDE.R8.x86_64.iso'
Size of CD is: 2038994944 bytes = 995603 sectors
Using buffer size: 2048 bytes, count = 995603
- ROSA.FRESH.KDE.R8.x86_64.iso differ: byte 4194305, line 18415
Sun 07 Aug 2016 16:08:56 UTC
Sun 07 Aug 2016 09:08:56 PDT
Total execution time:  0:00:00

Comparing with this program the usb device against the iso reported the same first point of departure:

[rolf@p8z68 2016.1]$ sudo writecd -cmp /dev/sdh ROSA.FRESH.KDE.R8.x86_64.iso
Logging to writecd.cmp.log
Sun 07 Aug 2016 16:10:51 UTC
Sun 07 Aug 2016 09:10:51 PDT
Linux p8z68 4.4.16-desktop-1.mga5 #1 SMP Tue Jul 26 09:23:40 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
 09:10:51 up  2:08,  5 users,  load average: 0.05, 0.11, 0.09
writecd version 4.1.5, 10 Feb 2008
Copyright (C) by Volker Kuhlmann <VolkerKuhlmann@gmx.de>
Comparing CD '/dev/sdh' with isofile 'ROSA.FRESH.KDE.R8.x86_64.iso'
Size of CD is: 2038994944 bytes = 995603 sectors
Using buffer size: 2048 bytes, count = 995603
- ROSA.FRESH.KDE.R8.x86_64.iso differ: byte 4194305, line 18415
Sun 07 Aug 2016 16:10:52 UTC
Sun 07 Aug 2016 09:10:52 PDT
Total execution time:  0:00:01


At this point, I rewrote the iso to the same device directly on cli:

[rolf@p8z68 2016.1]$ sudo dd if=ROSA.FRESH.KDE.R8.x86_64.iso of=/dev/sdh bs=4M; sync
486+1 records in
486+1 records out
2039480320 bytes (2.0 GB) copied, 515.925 s, 4.0 MB/s

and compared with writecd:

[rolf@p8z68 2016.1]$ sudo writecd -cmp /dev/sdh ROSA.FRESH.KDE.R8.x86_64.iso
Logging to writecd.cmp.log
Sun 07 Aug 2016 16:24:41 UTC
Sun 07 Aug 2016 09:24:41 PDT
Linux p8z68 4.4.16-desktop-1.mga5 #1 SMP Tue Jul 26 09:23:40 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
 09:24:41 up  2:21,  5 users,  load average: 2.21, 3.13, 1.82
writecd version 4.1.5, 10 Feb 2008
Copyright (C) by Volker Kuhlmann <VolkerKuhlmann@gmx.de>
Comparing CD '/dev/sdh' with isofile 'ROSA.FRESH.KDE.R8.x86_64.iso'
Size of CD is: 2038994944 bytes = 995603 sectors
Using buffer size: 2048 bytes, count = 995603
995603+0 records in
995603+0 records out
2038994944 bytes (2.0 GB) copied, 162.687 s, 12.5 MB/s
cmp: EOF on -
Sun 07 Aug 2016 16:27:23 UTC
Sun 07 Aug 2016 09:27:23 PDT
Total execution time:  0:02:42

"cmp: EOF on -" means a good result.

Also, 

[rolf@p8z68 2016.1]$ sudo dd if=/dev/sdh of=usb-disk.img bs=1M count=1945
1945+0 records in
1945+0 records out
2039480320 bytes (2.0 GB) copied, 160.481 s, 12.7 MB/s

[rolf@p8z68 2016.1]$ diff -s usb-disk.img ROSA.FRESH.KDE.R8.x86_64.iso
Files usb-disk.img and ROSA.FRESH.KDE.R8.x86_64.iso are identical

The outcome in installation mode was the same, "Copying files (rsync) failed with code 23"

Then, I burned a dvd disk:

[rolf@p8z68 2016.1]$ wodim dev=/dev/sr0 ROSA.FRESH.KDE.R8.x86_64.iso
wodim: No write mode specified.
wodim: Assuming -tao mode.
wodim: Future versions of wodim may have different drive dependent defaults.
Device type    : Removable CD-ROM
Version        : 5
Response Format: 2
Capabilities   : 
Vendor_info    : 'HL-DT-ST'
Identification : 'BD-RE  WH12LS39 '
Revision       : '1.00'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Using generic SCSI-3/mmc DVD-R(W) driver (mmc_mdvd).
Driver flags   : SWABAUDIO BURNFREE 
Supported modes: PACKET SAO
Speed set to 22160 KB/s
Starting to write CD/DVD at speed  17.0 in real unknown mode for single session.
Last chance to quit, starting real write in    0 seconds. Operation starts.
Track 01: Total bytes read/written: 2039480320/2039480320 (995840 sectors).

and verified the burn:

[rolf@p8z68 2016.1]$ writecd -cmp /dev/sr0 ROSA.FRESH.KDE.R8.x86_64.iso
Logging to writecd.cmp.log
Sun 07 Aug 2016 17:01:34 UTC
Sun 07 Aug 2016 10:01:34 PDT
Linux p8z68 4.4.16-desktop-1.mga5 #1 SMP Tue Jul 26 09:23:40 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
 10:01:34 up  2:58,  5 users,  load average: 0.49, 0.78, 0.88
writecd version 4.1.5, 10 Feb 2008
Copyright (C) by Volker Kuhlmann <VolkerKuhlmann@gmx.de>
Comparing CD '/dev/sr0' with isofile 'ROSA.FRESH.KDE.R8.x86_64.iso'
Size of CD is: 2038994944 bytes = 995603 sectors
Using buffer size: 2048 bytes, count = 995603
995603+0 records in
995603+0 records out
2038994944 bytes (2.0 GB) copied, 162.59 s, 12.5 MB/s
cmp: EOF on -
Sun 07 Aug 2016 17:04:16 UTC
Sun 07 Aug 2016 10:04:16 PDT
Total execution time:  0:02:42


Installation failed with the message, "Copying files (rsync) failed with code 23"

I should say that I am running ArchLinux on the target hardware with relative success, apart from the bugginess of Plasma 5, atm.  The storage on the Z170I is a 60GB SC2_M2_SSD.

The usb reader and usb dvd burner are connected via an extension cable to a USB3 port on the back of the motherboard.  

I'm not using selinux.

Since I have made this much of a record, I think I should try installing again but produce a copy of /tmp/files_copy_error.log if it fails in the same way.

Thanks.
Comment 10 Rolf Pedersen 2016-08-08 02:57:47 MSD
I booted from the device that passed diff:

[rolf@p8z68 2016.1]$ diff -s usb-disk.img ROSA.FRESH.KDE.R8.x86_64.iso
Files usb-disk.img and ROSA.FRESH.KDE.R8.x86_64.iso are identical

I eliminated the usb extension cable and plugged the usb reader into a different usb 3.1 port on the back of the motherboard.

Installation proceeded as before, the progress bar went almost completely to the end, then the error screen appeared.  As when 'OK' is pressed, the machine is rebooted, I mounted another partition (reiserfs) and copied /tmp/files_copy_error.log there.  I'm installing R8 to a single reiserfs partition.

This appears to me to be reproducible.  There isn't much in files_copy_error.log

[rolf@z170i ~]$ cat files_copy_error.log 
rsync: set_acl: sys_acl_set_file(var/log/journal, ACL_TYPE_ACCESS): Operation not supported (95)
rsync: set_acl: sys_acl_set_file(var/log/journal/af838596440e426ab64d5c865b18ac85, ACL_TYPE_ACCESS): Operation not supported (95)
rsync: set_acl: sys_acl_set_file(var/log/journal/af838596440e426ab64d5c865b18ac85/.system.journal.fTovUn, ACL_TYPE_ACCESS): Operation not supported (95)
rsync error: some files/attrs were not transferred (see previous errors) (code 23) at /builddir/build/BUILD/rsync-3.1.1/main.c(1165) [sender=3.1.1]
[rolf@z170i ~]$
Comment 11 Rolf Pedersen 2016-08-10 18:15:12 MSD
I tried with a different, verified iso, verified dd copy to flash card:

ROSA.FRESH.KDE.R8.kernel_4.4.x86_64.iso

Installation failed similarly, copying almost complete, with similar files_copy_error.log, different error code:

[rolf@p8z68 kernel-4.4]$ cat files_copy_error.log 
rsync: set_acl: sys_acl_set_file(var/log/journal, ACL_TYPE_ACCESS): Invalid argument (22)                                        
rsync: set_acl: sys_acl_set_file(var/log/journal/c94fdcda00f444daaa93adaecc3ff045, ACL_TYPE_ACCESS): Invalid argument (22)
rsync: set_acl: sys_acl_set_file(var/log/journal/c94fdcda00f444daaa93adaecc3ff045/.system.journal.PO4iJd, ACL_TYPE_ACCESS): Invalid argument (22)
rsync error: some files/attrs were not transferred (see previous errors) (code 23) at /builddir/build/BUILD/rsync-3.1.1/main.c(1165) [sender=3.1.1]
[rolf@p8z68 kernel-4.4]$
Comment 12 Konstantin Vlasov 2016-08-10 18:21:46 MSD
What target file systems did you select when partitioned the disk? Is /var a separate partition? Which file system, if it is?
Comment 13 Rolf Pedersen 2016-08-10 18:45:01 MSD
(In reply to comment #12)
> What target file systems did you select when partitioned the disk? Is /var a
> separate partition? Which file system, if it is?

In every case, I'm installing to a single reiserfs / partition and activating an existing swap partition.  That's it.  / and swap.

Here, you can see a 14.1G sda5 target partition for / and 2G swap partition:

[rolf@z170i ~]$ sudo fdisk -l
Disk /dev/sda: 55.9 GiB, 60022480896 bytes, 117231408 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: dos
Disk identifier: 0xc0370085

Device     Boot    Start       End  Sectors  Size Id Type
/dev/sda1       56901632  87750655 30849024 14.7G 83 Linux
/dev/sda2  *        2048  52805631 52803584 25.2G 83 Linux
/dev/sda3       52805632  56901631  4096000    2G 82 Linux swap / Solaris
/dev/sda4       87750656 117225471 29474816 14.1G  5 Extended
/dev/sda5       87752704 117225471 29472768 14.1G 83 Linux

Partition table entries are not in disk order.
[rolf@z170i ~]$

I thought to try again, using ext4 for the filesystem.
Comment 14 Rolf Pedersen 2016-08-10 19:26:22 MSD
I tried with ext4 and installer failed to mount the root partition, reboot.
Then, I booted to the installer and chose ext3, but failed to mount.
I booted again and prevented diskdrake from formatting the ext3 / partition.
Files copied without error and I got to the bootloader stage.

Thinking the reboot might get reiserfs to work, I rebooted and did the same:  formatted to reiserfs, rebooted, and started installation without any formatting.
This failed with the copying files error.

Now, I've gone through this two-boot process with ext4 and I'm at the bootloader screen.  I'll proceed with this.  I can change to reiserfs after installation with fstransform: https://sourceforge.net/projects/fstransform/

Let me know if there is something else to test.
Comment 15 Konstantin Vlasov 2016-08-10 20:52:06 MSD
Thank you for the information. It looks that ReiserFS simply does not support some type of attributes rsync is trying to apply when it's copying the files.

I'm not sure how and when this problem can be fixed, though, it needs more thorough investigating. If you don't consider ext4 as an option for your root partition, as a temporary workaround I'd suggest to either create a separate ext4 partition for /var, or (if you don't like this too) use temporary storage for it, so that installation completed, and then move the contents back to /var. You can do it using the following steps:

1. When partitioning the disk, switch to the Expert mode.

2. After you created or selected root partition (which is in ReiserFS), format it, then click "Use for Loopback". In the new dialog specify a image file name for storing /var contents, e.g. /var.img with size of, say, 512 Mb (it should be enough) and formatted into ext4.

3. After that, in the main partitioning dialog a new tab will appear named "Loopback". Switch to it and assign mount point /var to its contents.

4. Continue installation as you would normally do, until you get the final dialog with Finish button - it should work fine, because all problematic files are located inside /var, and we have ext4 for them which supports required ACL attributes.

5. If you are using installation mode and not Live, do NOT press Finish, yet. Instead, press Ctrl+Alt+F2 and login as root with empty password. If you are in Live, just start a new Konsole window and run 'su' command.

6. Transfer the contents from var.img into /var on the target installation partition by running n the following commands (/dev/sdaX is the partition you chose for root):
mkdir /mnt/var
mount /dev/sdaX /mnt/install
mount -o loop /mnt/install/var.img /mnt/var
rsync -pogtlHrDx /mnt/var/ /mnt/install/var/

7. Then edit /mnt/install/etc/fstab and remove the /var.img mount point.

8. Unmount partitions:
sync
umount /mnt/var /mnt/install

9. Now, if you are in Live - close the Konsole, if in installation - exit the terminal session by pressing Ctrl+D and switch back to graphical session by pressing Alt+F1.

10. Now press Finish in the dialog and reboot the computer. The newly installed ROSA should boot. If everything's OK, just remove the /var.img file.

I'm not 100% sure this is the correct scenario - by following it you simply eliminate all those extended ACL attributes rsync had failed to apply, and I have absolutely no idea how important they might be and what they are used for. In my test in a virtual machine this worked fine, but I did not test it extensively, so please, keep in mind that some side effects may appear out of this.
Comment 16 Rolf Pedersen 2016-08-11 06:05:29 MSD
FWIW, I completed installation and first boot to ext4 but it seems odd I am having to reboot after diskdrake to avoid "unable to mount /" error for ext3 or ext4.  

I followed your instructions from live mode, for a change of pace, and that provided a nicely working installation on reiserfs, afaict, in the beginnings.

In the case of the ext4 and latest reiserfs installations, I had grub2 installed to the MBR of sda.  There is an installation of Arch on an ext4 partition of this ssd that previously had its grub2 in the MBR.  For both ext4 and reiserfs installations of ROSA, I get a kernel panic when I select an Arch entry in the ROSA grub2 menu.

I should find some more clues and file a different bug but I'm seeing a difference in initrd statements between the Arch and ROSA grub.cfg

ROSA:

submenu 'Advanced options for Arch Linux, with Linux linux (on sda2)' $menuentry_id_option 'osprober-gnulinux-advanced-e0877025-8fa0-471e-b116-d557296e4903' {
        menuentry 'Arch Linux, with Linux linux-lts (on sda2)' --class arch --class gnu-linux --class gnu --class os $menuentry_id_option 'osprober-gnulinux-/boot/vmlinuz-linux-lts--e0877025-8fa0-471e-b116-d557296e4903' {
                savedefault
        load_video
        set gfxpayload=keep
        insmod gzio
                insmod part_msdos
                insmod ext2
                set root='hd0,msdos2'
                if [ x$feature_platform_search_hint = xy ]; then
                  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos2 --hint-efi=hd0,msdos2 --hint-baremetal=ahci0,msdos2  e0877025-8fa0-471e-b116-d557296e4903
                else
                  search --no-floppy --fs-uuid --set=root e0877025-8fa0-471e-b116-d557296e4903
                fi
                echo 'Loading Linux linux-lts ...'
                linux /boot/vmlinuz-linux-lts root=UUID=e0877025-8fa0-471e-b116-d557296e4903 rw i915.preliminary_hw_support=1
                echo 'Loading initial ramdisk ...'
                initrd /boot/intel-ucode.img
        }

Arch:

### BEGIN /etc/grub.d/41_linux_proxy ###
menuentry "Arch Linux, with Linux linux-lts" --class arch --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-linux-lts-advanced-e0877025-8fa0-471e-b116-d557296e4903' {
                load_video
                set gfxpayload=keep
                insmod gzio
                insmod part_msdos 
                insmod ext2
                set root='hd0,msdos2'
                if [ x$feature_platform_search_hint = xy ]; then
                  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos2 --hint-efi=hd0,msdos2 --hint-baremetal=ahci0,msdos2  e0877025-8fa0-471e-b116-d557296e4903
                else
                  search --no-floppy --fs-uuid --set=root e0877025-8fa0-471e-b116-d557296e4903
                fi
                echo    'Loading Linux linux-lts ...'
                linux   /boot/vmlinuz-linux-lts root=UUID=e0877025-8fa0-471e-b116-d557296e4903 rw  i915.preliminary_hw_support=1
                echo    'Loading initial ramdisk ...'
                initrd  /boot/intel-ucode.img /boot/initramfs-linux-lts.img
}
### END /etc/grub.d/41_linux_proxy ###


Thanks for helping me with reiserfs.  It might be I won't be able to hang onto it for much longer but it's served me well for 16 years. ;)
Comment 17 Konstantin Vlasov 2016-08-11 12:53:41 MSD
Please, create a separate bug report for that Grub issue.